/*!*********************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].use[3]!./src/admin/style.scss ***!
  \*********************************************************************************************************************************************************************************************************************************************/
/* To fix rendering quirk in Chrome */
#wpwrap {
  background: #f1f1f1;
}

.toplevel_page_popper .notice,
.popper_page_popper-settings .notice {
  display: none;
}
.toplevel_page_popper .components-popover,
.popper_page_popper-settings .components-popover {
  z-index: 1000002;
}

#popper {
  margin-right: -20px;
}
@media (max-width: 782px) {
  #popper {
    margin-right: -10px;
  }
}
#popper .notice {
  display: none;
}
#popper .masthead {
  background-color: #fff;
  padding: 15px 20px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 0px 1px;
  margin-bottom: 10px;
}
#popper .masthead .masthead__branding {
  display: flex;
  align-items: center;
  gap: 1rem;
}
#popper .masthead .masthead__branding h1 {
  margin: 0;
}
#popper .popper-content {
  padding: 0 20px;
}
#popper .popper-content .components-tab-panel__tabs {
  margin-bottom: 10px;
}
#popper .popper-content .popper-settings {
  max-width: 1024px;
}
#popper .popper-content .dataviews-wrapper {
  box-sizing: border-box;
  background-color: #fff;
  padding: 20px 0;
}
#popper .popper-content .dataviews-wrapper > div {
  box-sizing: border-box;
}
#popper .popper-content .components-card-body h2 {
  margin: 1em 0 0;
}
#popper .popper-content .ads-container__reviews {
  background-color: var(--wp-admin-theme-color);
  box-shadow: 0 0 0 1px var(--wp-admin-theme-color-darker-20), 0 1px 1px 1px rgba(0, 0, 0, 0.04);
  color: #fff;
  position: relative;
}
#popper .popper-content .ads-container__reviews::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 0;
  background-color: var(--wp-admin-theme-color-darker-20);
  mask-image: url("data:image/svg+xml;utf8,<svg xmlns=%27http://www.w3.org/2000/svg%27 viewBox=%270 0 24 24%27><polygon points=%2712 17.7371778 5.81966011 21.5 7.49246652 14.4659011 2 9.75735421 9.2141911 9.1728642 12 2.5 14.7858089 9.1728642 22 9.75735421 16.5075335 14.4659011 18.1803399 21.5%27></polygon></svg>");
  -webkit-mask-image: url("data:image/svg+xml;utf8,<svg xmlns=%27http://www.w3.org/2000/svg%27 viewBox=%270 0 24 24%27><polygon points=%2712 17.7371778 5.81966011 21.5 7.49246652 14.4659011 2 9.75735421 9.2141911 9.1728642 12 2.5 14.7858089 9.1728642 22 9.75735421 16.5075335 14.4659011 18.1803399 21.5%27></polygon></svg>");
  mask-size: 200px;
  -webkit-mask-size: 200px;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  mask-position: -100px;
  -webkit-mask-position: -100px;
}
#popper .popper-content .ads-container__reviews > * {
  position: relative;
  z-index: 1;
}
#popper .popper-content .ads-container__reviews a {
  color: #fff;
  display: block;
  margin-top: 10px;
  font-size: 1.1em;
}
#popper .popper-content .ads-container__reviews h2 {
  color: #fff;
}
#popper .components-snackbar-list {
  bottom: 40px;
  padding-right: 16px;
  padding-left: 16px;
  position: fixed;
}
/*!*************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].use[2]!./node_modules/@wordpress/dataviews/build-style/style.css ***!
  \*************************************************************************************************************************************************************************************************************/
/**
*  Converts a hex value into the rgb equivalent.
*
* @param {string} hex - the hexadecimal value to convert
* @return {string} comma separated rgb values
*/
/**
 * Colors
 */
/**
 * Breakpoints & Media Queries
 */
/**
 * SCSS Variables.
 *
 * Please use variables from this sheet to ensure consistency across the UI.
 * Don't add to this sheet unless you're pretty sure the value will be reused in many places.
 * For example, don't add rules to this sheet that affect block visuals. It's purely for UI.
 */
/**
*  Converts a hex value into the rgb equivalent.
*
* @param {string} hex - the hexadecimal value to convert
* @return {string} comma separated rgb values
*/
/**
 * Colors
 */
/**
 * Fonts & basic variables.
 */
/**
 * Grid System.
 * https://make.wordpress.org/design/2019/10/31/proposal-a-consistent-spacing-system-for-wordpress/
 */
/**
 * Dimensions.
 */
/**
 * Shadows.
 */
/**
 * Editor widths.
 */
/**
 * Block & Editor UI.
 */
/**
 * Block paddings.
 */
/**
 * React Native specific.
 * These variables do not appear to be used anywhere else.
 */
/**
*  Converts a hex value into the rgb equivalent.
*
* @param {string} hex - the hexadecimal value to convert
* @return {string} comma separated rgb values
*/
/**
 * Long content fade mixin
 *
 * Creates a fading overlay to signify that the content is longer
 * than the space allows.
 */
/**
 * Breakpoint mixins
 */
/**
 * Focus styles.
 */
/**
 * Applies editor left position to the selector passed as argument
 */
/**
 * Styles that are reused verbatim in a few places
 */
/**
 * Allows users to opt-out of animations via OS-level preferences.
 */
/**
 * Reset default styles for JavaScript UI based pages.
 * This is a WP-admin agnostic reset
 */
/**
 * Reset the WP Admin page styles for Gutenberg-like pages.
 */
:root {
  --wp-admin-theme-color: #007cba;
  --wp-admin-theme-color--rgb: 0, 124, 186;
  --wp-admin-theme-color-darker-10: #006ba1;
  --wp-admin-theme-color-darker-10--rgb: 0, 107, 161;
  --wp-admin-theme-color-darker-20: #005a87;
  --wp-admin-theme-color-darker-20--rgb: 0, 90, 135;
  --wp-admin-border-width-focus: 2px;
  --wp-block-synced-color: #7a00df;
  --wp-block-synced-color--rgb: 122, 0, 223;
  --wp-bound-block-color: var(--wp-block-synced-color);
}
@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
  :root {
    --wp-admin-border-width-focus: 1.5px;
  }
}

.dataviews-wrapper {
  height: 100%;
  overflow: auto;
  box-sizing: border-box;
  scroll-padding-bottom: 64px;
}

.dataviews-filters__view-actions {
  box-sizing: border-box;
  padding: 12px 32px 0;
  margin-bottom: 12px;
  flex-shrink: 0;
  position: sticky;
  right: 0;
}
.dataviews-filters__view-actions .components-search-control .components-base-control__field {
  max-width: 240px;
}

.dataviews-filters__container {
  padding-left: 32px;
}
.dataviews-filters__container .dataviews-filters__reset-button[aria-disabled=true], .dataviews-filters__container .dataviews-filters__reset-button[aria-disabled=true]:hover {
  opacity: 0;
}
.dataviews-filters__container .dataviews-filters__reset-button[aria-disabled=true]:focus {
  opacity: 1;
}

.dataviews-filters-button {
  position: relative;
}

.dataviews-pagination {
  position: sticky;
  bottom: 0;
  right: 0;
  background-color: #fff;
  padding: 12px 32px;
  border-top: 1px solid #f0f0f0;
  color: #757575;
  flex-shrink: 0;
}

.dataviews-pagination__page-selection {
  font-size: 11px;
  text-transform: uppercase;
  font-weight: 500;
  color: #1e1e1e;
}

.dataviews-filters-options {
  margin: 32px 0 16px;
}

.dataviews-view-table {
  width: 100%;
  text-indent: 0;
  border-color: inherit;
  border-collapse: collapse;
  position: relative;
  color: #757575;
}
.dataviews-view-table a {
  text-decoration: none;
  color: #1e1e1e;
  font-weight: 500;
}
.dataviews-view-table th {
  text-align: right;
  color: #1e1e1e;
  font-weight: normal;
  font-size: 13px;
}
.dataviews-view-table td,
.dataviews-view-table th {
  padding: 12px;
  white-space: nowrap;
}
.dataviews-view-table td[data-field-id=actions],
.dataviews-view-table th[data-field-id=actions] {
  text-align: left;
}
.dataviews-view-table td.dataviews-view-table__checkbox-column,
.dataviews-view-table th.dataviews-view-table__checkbox-column {
  padding-left: 0;
}
.dataviews-view-table tr {
  border-bottom: 1px solid #f0f0f0;
}
.dataviews-view-table tr .dataviews-view-table-header-button {
  gap: 4px;
}
.dataviews-view-table tr td:first-child,
.dataviews-view-table tr th:first-child {
  padding-right: 32px;
}
.dataviews-view-table tr td:first-child .dataviews-view-table-header-button,
.dataviews-view-table tr td:first-child .dataviews-view-table-header,
.dataviews-view-table tr th:first-child .dataviews-view-table-header-button,
.dataviews-view-table tr th:first-child .dataviews-view-table-header {
  margin-right: -8px;
}
.dataviews-view-table tr td:last-child,
.dataviews-view-table tr th:last-child {
  padding-left: 32px;
}
.dataviews-view-table tr:last-child {
  border-bottom: 0;
}
.dataviews-view-table tr.is-hovered {
  background-color: #f8f8f8;
}
.dataviews-view-table tr .components-checkbox-control__input.components-checkbox-control__input {
  opacity: 0;
}
.dataviews-view-table tr .components-checkbox-control__input.components-checkbox-control__input:checked, .dataviews-view-table tr .components-checkbox-control__input.components-checkbox-control__input:indeterminate, .dataviews-view-table tr .components-checkbox-control__input.components-checkbox-control__input:focus {
  opacity: 1;
}
.dataviews-view-table tr .dataviews-item-actions .components-button:not(.dataviews-all-actions-button) {
  opacity: 0;
}
.dataviews-view-table tr:focus-within .components-checkbox-control__input,
.dataviews-view-table tr:focus-within .dataviews-item-actions .components-button:not(.dataviews-all-actions-button), .dataviews-view-table tr.is-hovered .components-checkbox-control__input,
.dataviews-view-table tr.is-hovered .dataviews-item-actions .components-button:not(.dataviews-all-actions-button), .dataviews-view-table tr:hover .components-checkbox-control__input,
.dataviews-view-table tr:hover .dataviews-item-actions .components-button:not(.dataviews-all-actions-button) {
  opacity: 1;
}
@media (hover: none) {
  .dataviews-view-table tr .components-checkbox-control__input.components-checkbox-control__input,
.dataviews-view-table tr .dataviews-item-actions .components-button:not(.dataviews-all-actions-button) {
    opacity: 1;
  }
}
.dataviews-view-table tr.is-selected {
  background-color: rgba(var(--wp-admin-theme-color--rgb), 0.04);
  color: #757575;
}
.dataviews-view-table tr.is-selected:hover {
  background-color: rgba(var(--wp-admin-theme-color--rgb), 0.08);
}
.dataviews-view-table thead {
  position: sticky;
  inset-block-start: 0;
  z-index: 1;
}
.dataviews-view-table thead tr {
  border: 0;
}
.dataviews-view-table thead th {
  background-color: #fff;
  box-shadow: inset 0 -1px 0 #f0f0f0;
  padding-top: 8px;
  padding-bottom: 8px;
  font-size: 11px;
  text-transform: uppercase;
  font-weight: 500;
  padding-right: 4px;
}
.dataviews-view-table tbody td {
  vertical-align: top;
}
.dataviews-view-table tbody .dataviews-view-table__cell-content-wrapper {
  min-height: 32px;
  display: flex;
  align-items: center;
}
.dataviews-view-table tbody .dataviews-view-table__cell-content-wrapper > * {
  flex-grow: 1;
}
.dataviews-view-table tbody .dataviews-view-table__cell-content-wrapper.dataviews-view-table__primary-field a {
  flex-grow: 0;
}
.dataviews-view-table .dataviews-view-table-header-button {
  padding: 4px 8px;
  font-size: 11px;
  text-transform: uppercase;
  font-weight: 500;
}
.dataviews-view-table .dataviews-view-table-header-button:not(:hover) {
  color: #1e1e1e;
}
.dataviews-view-table .dataviews-view-table-header-button span {
  speak: none;
}
.dataviews-view-table .dataviews-view-table-header-button span:empty {
  display: none;
}
.dataviews-view-table .dataviews-view-table-header {
  padding-right: 4px;
}
.dataviews-view-table .dataviews-view-table__actions-column {
  width: 1%;
}
.dataviews-view-table:has(tr.is-selected) .components-checkbox-control__input {
  opacity: 1;
}

.dataviews-view-list__primary-field,
.dataviews-view-grid__primary-field,
.dataviews-view-table__primary-field {
  font-size: 13px;
  font-weight: 500;
  color: #757575;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
  width: 100%;
}
.dataviews-view-list__primary-field a,
.dataviews-view-grid__primary-field a,
.dataviews-view-table__primary-field a {
  text-decoration: none;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
  flex-grow: 0;
  color: #1e1e1e;
}
.dataviews-view-list__primary-field a:hover,
.dataviews-view-grid__primary-field a:hover,
.dataviews-view-table__primary-field a:hover {
  color: var(--wp-admin-theme-color);
}
.dataviews-view-list__primary-field a:focus,
.dataviews-view-grid__primary-field a:focus,
.dataviews-view-table__primary-field a:focus {
  color: var(--wp-admin-theme-color--rgb);
  box-shadow: 0 0 0 var(--wp-admin-border-width-focus) var(--wp-admin-theme-color, #007cba);
  border-radius: 2px;
}
.dataviews-view-list__primary-field button.components-button.is-link,
.dataviews-view-grid__primary-field button.components-button.is-link,
.dataviews-view-table__primary-field button.components-button.is-link {
  text-decoration: none;
  font-weight: inherit;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  display: block;
  width: 100%;
  color: #1e1e1e;
}
.dataviews-view-list__primary-field button.components-button.is-link:hover,
.dataviews-view-grid__primary-field button.components-button.is-link:hover,
.dataviews-view-table__primary-field button.components-button.is-link:hover {
  color: var(--wp-admin-theme-color);
}

.dataviews-view-grid {
  margin-bottom: 24px;
  grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
  grid-template-rows: max-content;
  padding: 0 32px;
}
@media (min-width: 1080px) {
  .dataviews-view-grid {
    grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
  }
}
@media (min-width: 1440px) {
  .dataviews-view-grid {
    grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
  }
}
.dataviews-view-grid .dataviews-view-grid__card {
  height: 100%;
  justify-content: flex-start;
}
.dataviews-view-grid .dataviews-view-grid__card .dataviews-view-grid__title-actions {
  padding: 8px 0 4px;
}
.dataviews-view-grid .dataviews-view-grid__card .dataviews-view-grid__primary-field {
  min-height: 32px;
}
.dataviews-view-grid .dataviews-view-grid__card.is-selected .dataviews-view-grid__fields .dataviews-view-grid__field .dataviews-view-grid__field-value {
  color: #1e1e1e;
}
.dataviews-view-grid .dataviews-view-grid__card.is-selected .page-pages-preview-field__button::after {
  box-shadow: inset 0 0 0 var(--wp-admin-border-width-focus) var(--wp-admin-theme-color);
  background: rgba(var(--wp-admin-theme-color--rgb), 0.04);
}
.dataviews-view-grid .dataviews-view-grid__media {
  width: 100%;
  min-height: 200px;
  aspect-ratio: 1/1;
  background-color: #f0f0f0;
  border-radius: 4px;
  overflow: hidden;
  position: relative;
}
.dataviews-view-grid .dataviews-view-grid__media img {
  -o-object-fit: cover;
     object-fit: cover;
  width: 100%;
  height: 100%;
}
.dataviews-view-grid .dataviews-view-grid__media::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  pointer-events: none;
}
.dataviews-view-grid .dataviews-view-grid__fields {
  position: relative;
  font-size: 12px;
  line-height: 16px;
}
.dataviews-view-grid .dataviews-view-grid__fields:not(:empty) {
  padding: 12px 0;
  padding-top: 0;
}
.dataviews-view-grid .dataviews-view-grid__fields .dataviews-view-grid__field {
  align-items: flex-start;
}
.dataviews-view-grid .dataviews-view-grid__fields .dataviews-view-grid__field:not(.is-column) {
  align-items: center;
}
.dataviews-view-grid .dataviews-view-grid__fields .dataviews-view-grid__field:not(.is-column) .dataviews-view-grid__field-name {
  width: 35%;
}
.dataviews-view-grid .dataviews-view-grid__fields .dataviews-view-grid__field:not(.is-column) .dataviews-view-grid__field-value {
  width: 65%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.dataviews-view-grid .dataviews-view-grid__fields .dataviews-view-grid__field .dataviews-view-grid__field-name {
  color: #757575;
}
.dataviews-view-grid .dataviews-view-grid__badge-fields:not(:empty) {
  padding-bottom: 12px;
}
.dataviews-view-grid .dataviews-view-grid__badge-fields .dataviews-view-grid__field-value {
  width: -moz-fit-content;
  width: fit-content;
  background: #f0f0f0;
  padding: 0 8px;
  min-height: 24px;
  border-radius: 2px;
  display: flex;
  align-items: center;
  font-size: 12px;
}

.dataviews-view-list {
  margin: 0;
}
.dataviews-view-list li {
  margin: 0;
  cursor: pointer;
  border-top: 1px solid #f0f0f0;
}
.dataviews-view-list li .dataviews-view-list__item-wrapper {
  position: relative;
  border-radius: 4px;
}
.dataviews-view-list li .dataviews-view-list__item-wrapper > * {
  width: 100%;
}
.dataviews-view-list li .dataviews-view-list__item-actions .components-button {
  opacity: 0;
}
.dataviews-view-list li.is-selected .dataviews-view-list__item-actions .components-button, .dataviews-view-list li.is-hovered .dataviews-view-list__item-actions .components-button, .dataviews-view-list li:focus-within .dataviews-view-list__item-actions .components-button {
  opacity: 1;
}
.dataviews-view-list li:not(.is-selected) .dataviews-view-list__primary-field {
  color: #1e1e1e;
}
.dataviews-view-list li:not(.is-selected):hover, .dataviews-view-list li:not(.is-selected):focus-within {
  color: var(--wp-admin-theme-color);
  background-color: #f8f8f8;
}
.dataviews-view-list li:not(.is-selected):hover .dataviews-view-list__primary-field,
.dataviews-view-list li:not(.is-selected):hover .dataviews-view-list__fields, .dataviews-view-list li:not(.is-selected):focus-within .dataviews-view-list__primary-field,
.dataviews-view-list li:not(.is-selected):focus-within .dataviews-view-list__fields {
  color: var(--wp-admin-theme-color);
}
.dataviews-view-list li.is-selected .dataviews-view-list__item-wrapper,
.dataviews-view-list li.is-selected:focus-within .dataviews-view-list__item-wrapper {
  background-color: rgba(var(--wp-admin-theme-color--rgb), 0.04);
  color: #1e1e1e;
}
.dataviews-view-list li.is-selected .dataviews-view-list__item-wrapper .dataviews-view-list__primary-field,
.dataviews-view-list li.is-selected .dataviews-view-list__item-wrapper .dataviews-view-list__fields,
.dataviews-view-list li.is-selected .dataviews-view-list__item-wrapper .components-button,
.dataviews-view-list li.is-selected:focus-within .dataviews-view-list__item-wrapper .dataviews-view-list__primary-field,
.dataviews-view-list li.is-selected:focus-within .dataviews-view-list__item-wrapper .dataviews-view-list__fields,
.dataviews-view-list li.is-selected:focus-within .dataviews-view-list__item-wrapper .components-button {
  color: var(--wp-admin-theme-color);
}
.dataviews-view-list .dataviews-view-list__item {
  padding: 16px 32px 16px 0;
  width: 100%;
  scroll-margin: 8px 0;
}
.dataviews-view-list .dataviews-view-list__item:focus-visible::before {
  position: absolute;
  content: "";
  top: calc(var(--wp-admin-border-width-focus) + 1px);
  left: var(--wp-admin-border-width-focus);
  bottom: var(--wp-admin-border-width-focus);
  right: var(--wp-admin-border-width-focus);
  box-shadow: inset 0 0 0 var(--wp-admin-border-width-focus) var(--wp-admin-theme-color);
  border-radius: 2px;
}
.dataviews-view-list .dataviews-view-list__item .dataviews-view-list__primary-field {
  min-height: 20px;
  overflow: hidden;
}
.dataviews-view-list .dataviews-view-list__media-wrapper {
  width: 40px;
  height: 40px;
  overflow: hidden;
  position: relative;
  flex-shrink: 0;
  background-color: #f0f0f0;
  border-radius: 4px;
}
.dataviews-view-list .dataviews-view-list__media-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.dataviews-view-list .dataviews-view-list__media-wrapper::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
}
.dataviews-view-list .dataviews-view-list__media-placeholder {
  min-width: 32px;
  height: 32px;
  background-color: #e0e0e0;
}
.dataviews-view-list .dataviews-view-list__fields {
  color: #757575;
  display: flex;
  gap: 8px;
  flex-wrap: wrap;
  font-size: 12px;
  line-height: 16px;
}
.dataviews-view-list .dataviews-view-list__fields .dataviews-view-list__field:has(.dataviews-view-list__field-value:empty) {
  display: none;
}
.dataviews-view-list .dataviews-view-list__item-actions {
  padding-top: 16px;
  padding-left: 32px;
}
.dataviews-view-list + .dataviews-pagination {
  justify-content: space-between;
}

.dataviews-action-modal {
  z-index: 1000001;
}

.dataviews-no-results,
.dataviews-loading {
  padding: 0 32px;
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dataviews-view-table-selection-checkbox {
  --checkbox-input-size: 24px;
  line-height: 0;
}
@media (min-width: 600px) {
  .dataviews-view-table-selection-checkbox {
    --checkbox-input-size: 16px;
  }
}

.dataviews-filters__custom-menu-radio-item-prefix {
  display: block;
  width: 24px;
}

.dataviews-bulk-edit-button.components-button {
  flex-shrink: 0;
}

.dataviews-filter-summary__popover .components-popover__content {
  width: 230px;
  padding: 0;
  border-radius: 4px;
}

.dataviews-search-widget-filter-combobox-list {
  max-height: 184px;
  padding: 4px;
  overflow: auto;
  border-top: 1px solid #e0e0e0;
}
.dataviews-search-widget-filter-combobox-list .dataviews-search-widget-filter-combobox-item-value [data-user-value] {
  font-weight: 600;
}

.dataviews-search-widget-listbox {
  max-height: 184px;
  padding: 4px;
  overflow: auto;
}

.dataviews-search-widget-listitem {
  display: flex;
  align-items: center;
  gap: 8px;
  border-radius: 2px;
  box-sizing: border-box;
  padding: 8px 12px;
  cursor: default;
  margin-block-end: 2px;
}
.dataviews-search-widget-listitem:last-child {
  margin-block-end: 0;
}
.dataviews-search-widget-listitem:hover, .dataviews-search-widget-listitem[data-active-item], .dataviews-search-widget-listitem:focus {
  background-color: var(--wp-admin-theme-color);
  color: #fff;
}
.dataviews-search-widget-listitem:hover .dataviews-search-widget-listitem-check, .dataviews-search-widget-listitem[data-active-item] .dataviews-search-widget-listitem-check, .dataviews-search-widget-listitem:focus .dataviews-search-widget-listitem-check {
  fill: #fff;
}
.dataviews-search-widget-listitem:hover .dataviews-search-widget-listitem-description, .dataviews-search-widget-listitem[data-active-item] .dataviews-search-widget-listitem-description, .dataviews-search-widget-listitem:focus .dataviews-search-widget-listitem-description {
  color: #fff;
}
.dataviews-search-widget-listitem .dataviews-search-widget-listitem-check {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
}
.dataviews-search-widget-listitem .dataviews-search-widget-listitem-description {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 12px;
  line-height: 16px;
  color: #757575;
}

.dataviews-search-widget-filter-combobox__wrapper {
  position: relative;
  padding: 8px;
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
  padding: 6px 8px;
  box-shadow: 0 0 0 transparent;
  transition: box-shadow 0.1s linear;
  border-radius: 2px;
  border: 1px solid #949494;
  /* Fonts smaller than 16px causes mobile safari to zoom. */
  font-size: 16px;
  /* Override core line-height. To be reviewed. */
  line-height: normal;
  display: block;
  padding: 0 8px 0 32px;
  background: #f0f0f0;
  border: none;
  width: 100%;
  height: 32px;
  margin-right: 0;
  margin-left: 0;
  /* Fonts smaller than 16px causes mobile safari to zoom. */
  font-size: 16px;
}
@media (prefers-reduced-motion: reduce) {
  .dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input {
    transition-duration: 0s;
    transition-delay: 0s;
  }
}
@media (min-width: 600px) {
  .dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input {
    font-size: 13px;
    /* Override core line-height. To be reviewed. */
    line-height: normal;
  }
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input:focus {
  border-color: var(--wp-admin-theme-color);
  box-shadow: 0 0 0 0.5px var(--wp-admin-theme-color);
  outline: 2px solid transparent;
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-webkit-input-placeholder {
  color: rgba(30, 30, 30, 0.62);
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-moz-placeholder {
  opacity: 1;
  color: rgba(30, 30, 30, 0.62);
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input:-ms-input-placeholder {
  color: rgba(30, 30, 30, 0.62);
}
@media (min-width: 600px) {
  .dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input {
    font-size: 13px;
  }
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input:focus {
  background: #fff;
  box-shadow: inset 0 0 0 var(--wp-admin-border-width-focus) var(--wp-admin-theme-color);
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-moz-placeholder {
  color: #757575;
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::placeholder {
  color: #757575;
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-webkit-search-decoration, .dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-webkit-search-cancel-button, .dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-webkit-search-results-button, .dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__input::-webkit-search-results-decoration {
  -webkit-appearance: none;
}
.dataviews-search-widget-filter-combobox__wrapper .dataviews-search-widget-filter-combobox__icon {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
}

.dataviews-filter-summary__operators-container {
  padding: 8px 8px 0;
}
.dataviews-filter-summary__operators-container:has(+ .dataviews-search-widget-listbox) {
  border-bottom: 1px solid #e0e0e0;
  padding-bottom: 8px;
}
.dataviews-filter-summary__operators-container:empty {
  display: none;
}
.dataviews-filter-summary__operators-container .dataviews-filter-summary__operators-filter-name {
  color: #757575;
}

.dataviews-filter-summary__chip-container {
  position: relative;
  white-space: pre-wrap;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip {
  border-radius: 16px;
  border: 1px solid transparent;
  cursor: pointer;
  padding: 0 12px;
  height: 32px;
  background: #f0f0f0;
  color: #757575;
  position: relative;
  display: flex;
  align-items: center;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip.has-reset {
  padding-inline-end: 28px;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip:hover, .dataviews-filter-summary__chip-container .dataviews-filter-summary__chip:focus-visible, .dataviews-filter-summary__chip-container .dataviews-filter-summary__chip[aria-expanded=true] {
  background: #e0e0e0;
  color: #1e1e1e;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip.has-values {
  color: var(--wp-admin-theme-color);
  background: rgba(var(--wp-admin-theme-color--rgb), 0.04);
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip.has-values:hover, .dataviews-filter-summary__chip-container .dataviews-filter-summary__chip.has-values[aria-expanded=true] {
  background: rgba(var(--wp-admin-theme-color--rgb), 0.12);
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip:focus-visible {
  outline: none;
  box-shadow: 0 0 0 var(--wp-admin-border-width-focus) var(--wp-admin-theme-color);
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip .dataviews-filter-summary__filter-text-name {
  font-weight: 500;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove {
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 0;
  padding: 0;
  position: absolute;
  left: 4px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent;
  cursor: pointer;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove svg {
  fill: #757575;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove:hover, .dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove:focus {
  background: #e0e0e0;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove:hover svg, .dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove:focus svg {
  fill: #1e1e1e;
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove.has-values svg {
  fill: var(--wp-admin-theme-color);
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove.has-values:hover {
  background: rgba(var(--wp-admin-theme-color--rgb), 0.08);
}
.dataviews-filter-summary__chip-container .dataviews-filter-summary__chip-remove:focus-visible {
  outline: none;
  box-shadow: 0 0 0 var(--wp-admin-border-width-focus) var(--wp-admin-theme-color);
}

.dataviews-bulk-actions-toolbar-wrapper {
  display: flex;
  flex-grow: 1;
  width: 100%;
}
.dataviews-bulk-actions-toolbar-wrapper .components-toolbar-group {
  align-items: center;
}
.dataviews-bulk-actions-toolbar-wrapper .components-button.is-busy {
  max-height: 36px;
}

.dataviews-bulk-actions {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-content: center;
  flex-wrap: wrap;
  width: 100%;
  bottom: 24px;
  z-index: 2;
}
.dataviews-bulk-actions .components-accessible-toolbar {
  border-color: #ddd;
  box-shadow: 0 0.7px 1px rgba(0, 0, 0, 0.1), 0 1.2px 1.7px -0.2px rgba(0, 0, 0, 0.1), 0 2.3px 3.3px -0.5px rgba(0, 0, 0, 0.1);
}
.dataviews-bulk-actions .components-accessible-toolbar .components-toolbar-group {
  border-color: #e0e0e0;
}
.dataviews-bulk-actions .components-accessible-toolbar .components-toolbar-group:last-child {
  border: 0;
}
.dataviews-bulk-actions .dataviews-bulk-actions__selection-count {
  display: flex;
  align-items: center;
  margin: 0 8px 0 8px;
}
/*!*******************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].use[3]!./src/admin/dashboard/style.scss ***!
  \*******************************************************************************************************************************************************************************************************************************************************/
@media (min-width: 600px) {
  .dataviews-action-modal__edit-rules .components-modal__frame {
    max-width: 840px;
    width: 100%;
  }
}

.popper-modal-row {
  align-items: center;
  margin-bottom: 1em;
}
.popper-modal-row label {
  display: none;
}
.popper-modal-row .components-form-token-field__input-container {
  margin: 0;
}
